Subject: Re: bug#31240: 26.1; mouse-save-then-kill does not kill rectangles

From: Tak Kunihiro <[email-masked]>
Date: Mon, 08 Oct 2018 19:25:44 +0900 (JST)

>> This problem exists because mouse-drag-and-drop-region first inserts
>> the dragged contents, and then deletes the original selection. Is
>> there a reason this has been implemented like this? It sounds like it
>> would make more sense to first delete the original selection, and then
>> insert it elsewhere. This would be almost the same as killing and then
>> yanking some text. That being said, for non-rectangular regions, any
>> of the two methods works the same.

I appreciate mouse-drag-and-drop-region when I move a sentence because
the sentence never disappears from screen.  Based on this criteria,
mouse-drag-and-drop-region inserts first and delete second.
Practically it is quick, thus order does not matter much.

There are two cases for dragging a sentence, that are ones with (1)
deleting the original selection and (2) keeping it.  Since to insert
is common for two cases, deletion of the original selection comes
later.  If it works, order does not matter much.